import com.google.protobuf.ByteString;
import static meerkat.protobuf.BulletinBoardApi.*;
import java.io.IOException;

/**
 * Created by talm on 10/26/15.
 */
public class Demo {
    public static void main(String args[]) {
        System.out.println("Nothing to see yet");

        BulletinBoardMessage msg;

        UnsignedBulletinBoardMessage msgContents = UnsignedBulletinBoardMessage.newBuilder()
                .addTag("test")
                .setData(ByteString.copyFromUtf8("some data"))
                .build();

        msg = BulletinBoardMessage.newBuilder()
                .setMsg(msgContents)
                .build();

        try {
            msg.writeTo(System.err);
        } catch (IOException e) {
            // Ignore
        }
    }
}
